Subject: bug#21881: 24.4; eww-submit is nil

From: Glenn Morris <[email-masked]>
Date: Wed, 11 Nov 2015 14:01:43 -0500

Pushpal Sidhu wrote:

> Running "emacs -q" and using eww, I find that some buttons on some
> websites cause the following to occur: http://pastebin.com/MtZhnr5e
>
> To reproduce easily:
> 1. point eww to: https://dev.openwrt.org/log/trunk/
> 2. Select "Show full log messages"
> 3. Click on the "Update" button.
>
> The above steps will cause a wrong-type-argument integer-or-marker-p nil
> to be thrown. I haven't been able to try 24.5, but I don't think there
> were any eww changes between 24.4 and 24.5 anyways (reading NEWS.24.5).

We don't list bug fixes in the NEWS, but by experiment the issue is
still present in 24.5.

In current master, I can't even figure out how to toggle a checkbox.
Neither RET nor mouse-2 works.
It just beeps "buffer is read-only" at me.